<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" targetNamespace="notification.snt" xmlns:sntn="notification.snt" xmlns:tns="notification.snt" xmlns:xs="http://www.w3.org/2001/XMLSchema">

    <xs:import/>

    <xs:element name="sntExpiredNotificationUploadInfo" type="tns:SntExpiredNotificationUploadInfo"/>

    <xs:complexType name="SntExpiredNotificationUploadInfo">
        <xs:annotation>
            <xs:documentation>Извещение об истечении сроков подтверждения или отклонения СНТ</xs:documentation>
        </xs:annotation>
        <xs:all>
            <xs:element name="notificationBody" type="xs:string">
                <xs:annotation>
                    <xs:documentation>Извещение (html/xml)</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="version" type="tns:SntVersion">
                <xs:annotation>
                    <xs:documentation>Версия Извещения</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="notificationId" type="xs:long">
                <xs:annotation>
                    <xs:documentation>Идентификатор извещения СНТ</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="sntId" type="xs:long">
                <xs:annotation>
                    <xs:documentation>Идентификатор СНТ</xs:documentation>
                </xs:annotation>
            </xs:element>
            <xs:element name="signature">
                <xs:annotation>
                    <xs:documentation>ЭЦП извещения</xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:maxLength value="400"/>
                        <xs:minLength value="1"/>
                    </xs:restriction>
                </xs:simpleType>
            </xs:element>
            <xs:element name="signatureType" type="SignatureType" minOccurs="1">
                <xs:annotation>
                    <xs:documentation>Тип ЭЦП, которым подписано извещение</xs:documentation>
                </xs:annotation>
            </xs:element>
        </xs:all>
    </xs:complexType>

    <xs:simpleType name="SntVersion">
        <xs:annotation>
            <xs:documentation>Версии СНТ</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
            <xs:enumeration value="SntExpiredNotificationV1">
                <xs:annotation>
                    <xs:documentation>Извещение версии 1</xs:documentation>
                </xs:annotation>
            </xs:enumeration>
        </xs:restriction>
    </xs:simpleType>
</xs:schema>